extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "wv:twin/tommy_layer1",
    "layer2": "wv:twin/tommy_layer2"
});
var utils = implement("fiskheroes:external/utils");
var speedster = implement("fiskheroes:external/speedster_utils");

function init(renderer) {
    parent.init(renderer);
    renderer.showModel("CHESTPLATE", "head", "headwear", "body", "rightArm", "leftArm", "rightLeg", "leftLeg");
    renderer.fixHatLayer("CHESTPLATE");
}

function initEffects(renderer) {
    parent.initEffects(renderer);
    utils.bindTrail(renderer, "wv:speed");
}

    function initAnimations(renderer) {
        parent.initAnimations(renderer);
        addAnimation(renderer, "tommy.HOLOSTAND", "wv:speed")
        .setData((entity, data) => {
            var f = entity.getInterpolatedData("wv:dyn/holoanimation");
            data.load(4*f <= 0.95 ? 4*f : 0.95);
        });
    }
